<!DOCTYPE html>
<html>
    <head>
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>Smart Delivery System</title>
        <link rel="shortcut icon" href="#">
        <link rel="stylesheet" href="../static/bootstrap.min.css">
        <link rel="stylesheet" href="../static/index.css">
    </head>
    <body>
        <section class="section px-0">
            <div class="px-0 text-center">
                <div class="title py-3 px-0" id="title">
                    <h1 class="header-title">Smart way to make decision based on Delivered Box!</h1>
                    <p class="subtitle">Welcome to this Delivery Box Prediction <strong>System</strong></p>
                </div>
                <div class="row justify-content-center py-4">
                    <div class="row justify-content-center">
                        <form action="/result" method="POST" enctype="multipart/form-data">
                            <div class="row justify-content-center">
                                <div class="col-md-3">
                                    <input type="file" class="form-control" name="file" accept=".jpg,.jpeg,.png" single>
                                </div>
                                <div class="col-md-1">
                                    <button id="submit-btn" class="btn btn-warning">Submit</button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
                <div>
                    {% if file_img %}
                        <div><img src="{{ file_img }}" class="img-thumbnail" alt="Predicted Image" width="200" height="200"></div>
                        <div class="center"><p class="message"><strong>Result: </strong>{{ probability }}% chances are there that the Box is {{ label }}</p></div>
                    {% endif %}
                    {% if err_message %}
                        <div id="center_failed"><p class="message_failed">{{ err_message }}</p></div>
                    {% endif %}
                </div>
            </div>
        </section>
        <script src="https://code.jquery.com/jquery-2.2.1.min.js"></script>
        <script src="https://netdna.bootstrapcdn.com/bootstrap/3.3.6/js/bootstrap.min.js"></script>
    </body>
</html>